Ubuntu

Translation domain detection from config.h is broken

Reported by Gabor Kelemen on 2012-01-07
30
This bug affects 4 people
Affects Status Importance Assigned to Milestone
evolution (Ubuntu)
Medium
Mathieu Trudel-Lapierre
gnome-control-center (Ubuntu)
High
Unassigned
gnome-media (Ubuntu)
High
Unassigned
gnome-settings-daemon (Ubuntu)
High
Martin Pitt
pkgbinarymangler (Ubuntu)
High
Sebastien Bacher
totem (Ubuntu)
High
Unassigned

Bug Description

Latest package version 111 added support for detecting the translation domain from config.h:

http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/precise/pkgbinarymangler/precise/revision/231#dh_translations

This is however a little broken: the domain is in a quoted form in those files and dh_translations retains the quotation marks instead of ignoring them. I see for example

#define GETTEXT_PACKAGE "gparted"

resulting this:

dh_translations
 check_buildsystem: got domain '"gparted"', using intltool: 1
 /usr/bin/intltool-update -p --verbose -g \"gparted\"
Wrote ../data/com.ubuntu.pkexec.gparted.policy.in.h
Wrote ../gparted.desktop.in.in.h
Building "gparted".pot...
Running xgettext --add-comments --directory=. --default-domain="gparted" --flag=g_strdup_printf:1:c-format --flag=g_string_printf:2:c-format --flag=g_string_append_printf:2:c-format --flag=g_error_new:3:c-format --flag=g_set_error:4:c-format --flag=g_markup_printf_escaped:1:c-format --flag=g_log:3:c-format --flag=g_print:1:c-format --flag=g_printerr:1:c-format --flag=g_printf:1:c-format --flag=g_fprintf:2:c-format --flag=g_sprintf:2:c-format --flag=g_snprintf:3:c-format --flag=g_scanner_error:2:c-format --flag=g_scanner_warn:2:c-format --output="gparted".pot --files-from=./POTFILES.in.temp --keyword=_ --keyword=N_ --keyword=C_:1c,2 --keyword=NC_:1c,2 --keyword=Q_ --keyword=g_dgettext:2 --keyword=g_dngettext:2,3 --keyword=g_dpgettext:2 --keyword=g_dpgettext2=2c,3 --from-code=UTF-8
Removing generated header (.h) files...done.
None of the files in POTFILES.in contain strings marked for translation.
make[1]: Entering directory `/home/gabor/checkout/ubuntu/build-area/gparted-0.8.1/help'
`which xml2po` -e -o gparted.pot C/gparted.xml
make[1]: Leaving directory `/home/gabor/checkout/ubuntu/build-area/gparted-0.8.1/help'
dh_langpack: processing files to add translation domain '"gparted"'...

Gabor Kelemen (kelemeng) wrote :

Here is one of the first victims, gnome-c-c 3.2.2.0ubuntu6 uploaded yesterday.

Martin Pitt (pitti) wrote :

After fixing the mangler, we need to rebuild a few packages which now have broken files. Gabor already pointed out control-center.

Changed in pkgbinarymangler (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
assignee: nobody → Sebastien Bacher (seb128)
Changed in gnome-control-center (Ubuntu):
importance: Undecided → High
status: New → Triaged
Martin Pitt (pitti) wrote :

Running gsd-backlight-helper is broken now as well, because are/polkit-1/actions/org.gnome.settings-daemon.plugins.power.policy has

    <description gettext-domain=""gnome-settings-daemon"">Modify the laptop brightness</description>
    <message gettext-domain=""gnome-settings-daemon"">Authentication is required to modify the laptop brightness</message>

Note the double quotes.

Changed in policykit-1 (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → Triaged
Martin Pitt (pitti) on 2012-01-13
affects: policykit-1 (Ubuntu) → gnome-settings-daemon (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pkgbinarymangler - 112

---------------
pkgbinarymangler (112) precise; urgency=low

  * dh_translations:
    - strip out quotes from the gettext domain (lp: #913085)
 -- Sebastien Bacher <email address hidden> Fri, 13 Jan 2012 10:23:28 +0100

Changed in pkgbinarymangler (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-settings-daemon - 3.2.2-0ubuntu9

---------------
gnome-settings-daemon (3.2.2-0ubuntu9) precise; urgency=low

  * Rebuild with fixed pkgbinarymangler (lp: #913085),
    that should fix broke permissions errors (lp: #915600)
 -- Sebastien Bacher <email address hidden> Fri, 13 Jan 2012 11:44:32 +0100

Changed in gnome-settings-daemon (Ubuntu):
status: Triaged → Fix Released
Changed in pkgbinarymangler (Ubuntu):
importance: Critical → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.2.2-0ubuntu8

---------------
gnome-control-center (1:3.2.2-0ubuntu8) precise; urgency=low

  * Rebuild with fixed pkgbinarymangler (lp: #913085)
 -- Sebastien Bacher <email address hidden> Fri, 13 Jan 2012 12:06:32 +0100

Changed in gnome-control-center (Ubuntu):
status: Triaged → Fix Released
Changed in gnome-media (Ubuntu):
importance: Undecided → High
Changed in totem (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-media - 2.91.2-3ubuntu3

---------------
gnome-media (2.91.2-3ubuntu3) precise; urgency=low

  * Rebuild with fixed pkgbinarymangler (lp: #913085)
 -- Sebastien Bacher <email address hidden> Fri, 13 Jan 2012 12:13:47 +0100

Changed in gnome-media (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package totem - 3.0.1-0ubuntu14

---------------
totem (3.0.1-0ubuntu14) precise; urgency=low

  * Rebuild with fixed pkgbinarymangler (lp: #913085).
 -- Sebastien Bacher <email address hidden> Fri, 13 Jan 2012 12:18:37 +0100

Changed in totem (Ubuntu):
status: New → Fix Released
Martin Pitt (pitti) wrote :

Version 113 fixes it harder.

Changed in gnome-control-center (Ubuntu):
status: Fix Released → Triaged
Changed in gnome-media (Ubuntu):
status: Fix Released → Triaged
Changed in gnome-settings-daemon (Ubuntu):
status: Fix Released → Triaged
Changed in totem (Ubuntu):
status: Fix Released → Triaged
Gabor Kelemen (kelemeng) wrote :

Thanks for the quick fix. I still see these:

$ grep Domain=\" /usr/share/applications/*
/usr/share/applications/evolution.desktop:X-Ubuntu-Gettext-Domain="evolution-3.2"
/usr/share/applications/evolution-settings.desktop:X-Ubuntu-Gettext-Domain="evolution-3.2"
/usr/share/applications/gnome-contacts.desktop:X-Ubuntu-Gettext-Domain="gnome-contacts"
/usr/share/applications/gnome-panel.desktop:X-Ubuntu-Gettext-Domain="gnome-panel-3.0"
/usr/share/applications/gnome-shell.desktop:X-Ubuntu-Gettext-Domain="gnome-shell"
/usr/share/applications/palimpsest.desktop:X-Ubuntu-Gettext-Domain="gnome-disk-utility"
/usr/share/applications/rhythmbox.desktop:X-Ubuntu-Gettext-Domain="rhythmbox"
/usr/share/applications/rhythmbox-device.desktop:X-Ubuntu-Gettext-Domain="rhythmbox"

But I think it is safe to not hurry - there can be some unrelated uploads in the coming days which will fix these, like there were today in case of empathy or nautilus.

Sebastien Bacher (seb128) wrote :

Right, new GNOME tarballs are due next week and breakages to the .desktop or template generation on the buildds is not an issue, I will fix the g-s-d g-c-c cases today since those are functional ones and wait for next updates for other desktop components

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.2.2-0ubuntu9

---------------
gnome-control-center (1:3.2.2-0ubuntu9) precise; urgency=low

  * Rebuild with the newest pkgbinarymangler (lp: #913085)
 -- Sebastien Bacher <email address hidden> Fri, 13 Jan 2012 17:36:43 +0100

Changed in gnome-control-center (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-settings-daemon - 3.2.2-0ubuntu10

---------------
gnome-settings-daemon (3.2.2-0ubuntu10) precise; urgency=low

  * Rebuild with the newest pkgbinarymangler (lp: #913085)
  * debian/control.in: build-depends on libnss3-dev for smartcard support
 -- Sebastien Bacher <email address hidden> Fri, 13 Jan 2012 17:32:40 +0100

Changed in gnome-settings-daemon (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package totem - 3.0.1-0ubuntu15

---------------
totem (3.0.1-0ubuntu15) precise; urgency=low

  * Rebuild with the newest pkgbinarymangler (lp: #913085).
 -- Sebastien Bacher <email address hidden> Fri, 13 Jan 2012 18:09:13 +0100

Changed in totem (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-media - 2.91.2-3ubuntu4

---------------
gnome-media (2.91.2-3ubuntu4) precise; urgency=low

  * Rebuild with the newest pkgbinarymangler (lp: #913085)
 -- Sebastien Bacher <email address hidden> Fri, 13 Jan 2012 18:11:14 +0100

Changed in gnome-media (Ubuntu):
status: Triaged → Fix Released
Gabor Kelemen (kelemeng) wrote :

There is only one left:

$ grep -r Domain=\" /usr/share/applications/
/usr/share/applications/evolution-settings.desktop:X-Ubuntu-Gettext-Domain="evolution-3.2"
/usr/share/applications/evolution.desktop:X-Ubuntu-Gettext-Domain="evolution-3.2"

Can we have a new upload of this now, especially that even dpm is complaining in that dupe? :)

Changed in evolution (Ubuntu):
importance: Undecided → Medium
status: New → In Progress
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evolution - 3.2.3-0ubuntu3

---------------
evolution (3.2.3-0ubuntu3) precise; urgency=low

  * Rebuild with new pkgbinarymangler. (LP: #913085)
  * debian/control:
    - drop the Build-Depends on evolution from evolution-dev.
    - replace gnome-icon-theme with gnome-icon-theme-full in Depends for
      evolution. (LP: #922329)
  * debian/patches/git_edit_as_new_from_addr_3dc8b0b.patch: correct the From:
    address used for "Edit as New Message" to match with the e-mail address
    for the account the original message was received on. (LP: #924356)
  * debian/patches/gmodule-linking.patch: fix up linking against gmodule-2.0,
    it now needs to be explicitly added.
 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 27 Feb 2012 10:00:32 -0500

Changed in evolution (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers